Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -1,29 +1,29 @@
 <?php
 /***************************************************************
-*  Copyright notice
-*
-*  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*  A copy is found in the textfile GPL.txt and important notices to the license
-*  from the author is found in LICENSE.txt distributed with these scripts.
-*
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
+ *  Copyright notice
+ *
+ *  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
+ *  All rights reserved
+ *
+ *  This script is part of the TYPO3 project. The TYPO3 project is
+ *  free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  The GNU General Public License can be found at
+ *  http://www.gnu.org/copyleft/gpl.html.
+ *  A copy is found in the textfile GPL.txt and important notices to the license
+ *  from the author is found in LICENSE.txt distributed with these scripts.
+ *
+ *
+ *  This script is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  This copyright notice MUST APPEAR in all copies of the script!
+ ***************************************************************/
 /**
  * Contains TYPO3 Core Form generator - AKA "TCEforms"
  *
@@ -39,130 +39,130 @@
  *
  *
  *  196: class t3lib_TCEforms
- *  302:     function t3lib_TCEforms()
+ *  302:	 function t3lib_TCEforms()
- *  338:     function initDefaultBEmode()
+ *  338:	 function initDefaultBEmode()
  *
- *              SECTION: Rendering the forms, fields etc
+ *			  SECTION: Rendering the forms, fields etc
- *  385:     function getSoloField($table,$row,$theFieldToReturn)
+ *  385:	 function getSoloField($table,$row,$theFieldToReturn)
- *  424:     function getMainFields($table,$row,$depth=0)
+ *  424:	 function getMainFields($table,$row,$depth=0)
- *  618:     function getListedFields($table,$row,$list)
+ *  618:	 function getListedFields($table,$row,$list)
- *  660:     function getPaletteFields($table,$row,$palette,$header='',$itemList='',$collapsedHeader='')
+ *  660:	 function getPaletteFields($table,$row,$palette,$header='',$itemList='',$collapsedHeader='')
- *  737:     function getSingleField($table,$field,$row,$altName='',$palette=0,$extra='',$pal=0)
+ *  737:	 function getSingleField($table,$field,$row,$altName='',$palette=0,$extra='',$pal=0)
- *  900:     function getSingleField_SW($table,$field,$row,&$PA)
+ *  900:	 function getSingleField_SW($table,$field,$row,&$PA)
  *
- *              SECTION: Rendering of each TCEform field type
+ *			  SECTION: Rendering of each TCEform field type
- *  976:     function getSingleField_typeInput($table,$field,$row,&$PA)
+ *  976:	 function getSingleField_typeInput($table,$field,$row,&$PA)
- * 1057:     function getSingleField_typeText($table,$field,$row,&$PA)
+ * 1057:	 function getSingleField_typeText($table,$field,$row,&$PA)
- * 1178:     function getSingleField_typeCheck($table,$field,$row,&$PA)
+ * 1178:	 function getSingleField_typeCheck($table,$field,$row,&$PA)
- * 1244:     function getSingleField_typeRadio($table,$field,$row,&$PA)
+ * 1244:	 function getSingleField_typeRadio($table,$field,$row,&$PA)
- * 1279:     function getSingleField_typeSelect($table,$field,$row,&$PA)
+ * 1279:	 function getSingleField_typeSelect($table,$field,$row,&$PA)
- * 1359:     function getSingleField_typeSelect_single($table,$field,$row,&$PA,$config,$selItems,$nMV_label)
+ * 1359:	 function getSingleField_typeSelect_single($table,$field,$row,&$PA,$config,$selItems,$nMV_label)
- * 1490:     function getSingleField_typeSelect_checkbox($table,$field,$row,&$PA,$config,$selItems,$nMV_label)
+ * 1490:	 function getSingleField_typeSelect_checkbox($table,$field,$row,&$PA,$config,$selItems,$nMV_label)
- * 1609:     function getSingleField_typeSelect_singlebox($table,$field,$row,&$PA,$config,$selItems,$nMV_label)
+ * 1609:	 function getSingleField_typeSelect_singlebox($table,$field,$row,&$PA,$config,$selItems,$nMV_label)
- * 1719:     function getSingleField_typeSelect_multiple($table,$field,$row,&$PA,$config,$selItems,$nMV_label)
+ * 1719:	 function getSingleField_typeSelect_multiple($table,$field,$row,&$PA,$config,$selItems,$nMV_label)
- * 1823:     function getSingleField_typeGroup($table,$field,$row,&$PA)
+ * 1823:	 function getSingleField_typeGroup($table,$field,$row,&$PA)
- * 1992:     function getSingleField_typeNone($table,$field,$row,&$PA)
+ * 1992:	 function getSingleField_typeNone($table,$field,$row,&$PA)
- * 2008:     function getSingleField_typeNone_render($config,$itemValue)
+ * 2008:	 function getSingleField_typeNone_render($config,$itemValue)
- * 2070:     function getSingleField_typeFlex($table,$field,$row,&$PA)
+ * 2070:	 function getSingleField_typeFlex($table,$field,$row,&$PA)
- * 2205:     function getSingleField_typeFlex_langMenu($languages,$elName,$selectedLanguage,$multi=1)
+ * 2205:	 function getSingleField_typeFlex_langMenu($languages,$elName,$selectedLanguage,$multi=1)
- * 2224:     function getSingleField_typeFlex_sheetMenu($sArr,$elName,$sheetKey)
+ * 2224:	 function getSingleField_typeFlex_sheetMenu($sArr,$elName,$sheetKey)
- * 2259:     function getSingleField_typeFlex_draw($dataStruct,$editData,$cmdData,$table,$field,$row,&$PA,$formPrefix='',$level=0,$tRows=array())
+ * 2259:	 function getSingleField_typeFlex_draw($dataStruct,$editData,$cmdData,$table,$field,$row,&$PA,$formPrefix='',$level=0,$tRows=array())
- * 2452:     function getSingleField_typeUnknown($table,$field,$row,&$PA)
+ * 2452:	 function getSingleField_typeUnknown($table,$field,$row,&$PA)
- * 2467:     function getSingleField_typeUser($table,$field,$row,&$PA)
+ * 2467:	 function getSingleField_typeUser($table,$field,$row,&$PA)
  *
- *              SECTION: Field content processing
+ *			  SECTION: Field content processing
- * 2496:     function formatValue ($config, $itemValue)
+ * 2496:	 function formatValue ($config, $itemValue)
  *
- *              SECTION: "Configuration" fetching/processing functions
+ *			  SECTION: "Configuration" fetching/processing functions
- * 2588:     function getRTypeNum($table,$row)
+ * 2588:	 function getRTypeNum($table,$row)
- * 2614:     function rearrange($fields)
+ * 2614:	 function rearrange($fields)
- * 2640:     function getExcludeElements($table,$row,$typeNum)
+ * 2640:	 function getExcludeElements($table,$row,$typeNum)
- * 2688:     function getFieldsToAdd($table,$row,$typeNum)
+ * 2688:	 function getFieldsToAdd($table,$row,$typeNum)
- * 2713:     function mergeFieldsWithAddedFields($fields,$fieldsToAdd)
+ * 2713:	 function mergeFieldsWithAddedFields($fields,$fieldsToAdd)
- * 2745:     function setTSconfig($table,$row,$field='')
+ * 2745:	 function setTSconfig($table,$row,$field='')
- * 2767:     function getSpecConfForField($table,$row,$field)
+ * 2767:	 function getSpecConfForField($table,$row,$field)
- * 2788:     function getSpecConfFromString($extraString, $defaultExtras)
+ * 2788:	 function getSpecConfFromString($extraString, $defaultExtras)
- * 3007:     function loadPaletteElements($table, $row, $palette, $itemList='')
+ * 3007:	 function loadPaletteElements($table, $row, $palette, $itemList='')
  *
- *              SECTION: Display of localized content etc.
+ *			  SECTION: Display of localized content etc.
- * 2816:     function registerDefaultLanguageData($table,$rec)
+ * 2816:	 function registerDefaultLanguageData($table,$rec)
- * 2848:     function getLanguageOverlayRawValue($table, $row, $field, $fieldConf)
+ * 2848:	 function getLanguageOverlayRawValue($table, $row, $field, $fieldConf)
- * 2876:     function renderDefaultLanguageContent($table,$field,$row,$item)
+ * 2876:	 function renderDefaultLanguageContent($table,$field,$row,$item)
- * 2899:     function renderDefaultLanguageDiff($table,$field,$row,$item)
+ * 2899:	 function renderDefaultLanguageDiff($table,$field,$row,$item)
  *
- *              SECTION: Form element helper functions
+ *			  SECTION: Form element helper functions
- * 2955:     function dbFileIcons($fName,$mode,$allowed,$itemArray,$selector='',$params=array(),$onFocus='')
+ * 2955:	 function dbFileIcons($fName,$mode,$allowed,$itemArray,$selector='',$params=array(),$onFocus='')
- * 3108:     function getClipboardElements($allowed,$mode)
+ * 3108:	 function getClipboardElements($allowed,$mode)
- * 3157:     function getClickMenu($str,$table,$uid='')
+ * 3157:	 function getClickMenu($str,$table,$uid='')
- * 3178:     function renderWizards($itemKinds,$wizConf,$table,$row,$field,&$PA,$itemName,$specConf,$RTE=0)
+ * 3178:	 function renderWizards($itemKinds,$wizConf,$table,$row,$field,&$PA,$itemName,$specConf,$RTE=0)
- * 3382:     function getIcon($icon)
+ * 3382:	 function getIcon($icon)
- * 3409:     function optionTagStyle($iconString)
+ * 3409:	 function optionTagStyle($iconString)
- * 3425:     function extractValuesOnlyFromValueLabelList($itemFormElValue)
+ * 3425:	 function extractValuesOnlyFromValueLabelList($itemFormElValue)
- * 3447:     function wrapOpenPalette($header,$table,$row,$palette,$retFunc=0)
+ * 3447:	 function wrapOpenPalette($header,$table,$row,$palette,$retFunc=0)
- * 3471:     function checkBoxParams($itemName,$thisValue,$c,$iCount,$addFunc='')
+ * 3471:	 function checkBoxParams($itemName,$thisValue,$c,$iCount,$addFunc='')
- * 3485:     function elName($itemName)
+ * 3485:	 function elName($itemName)
- * 3496:     function noTitle($str,$wrapParts=array())
+ * 3496:	 function noTitle($str,$wrapParts=array())
- * 3505:     function blur()
+ * 3505:	 function blur()
- * 3514:     function thisReturnUrl()
+ * 3514:	 function thisReturnUrl()
- * 3527:     function getSingleHiddenField($table,$field,$row)
+ * 3527:	 function getSingleHiddenField($table,$field,$row)
- * 3549:     function formWidth($size=48,$textarea=0)
+ * 3549:	 function formWidth($size=48,$textarea=0)
- * 3576:     function formWidthText($size=48,$wrap='')
+ * 3576:	 function formWidthText($size=48,$wrap='')
- * 3592:     function formElStyle($type)
+ * 3592:	 function formElStyle($type)
- * 3603:     function formElClass($type)
+ * 3603:	 function formElClass($type)
- * 3614:     function formElStyleClassValue($type, $class=FALSE)
+ * 3614:	 function formElStyleClassValue($type, $class=FALSE)
- * 3638:     function insertDefStyle($type)
+ * 3638:	 function insertDefStyle($type)
- * 3657:     function getDynTabMenu($parts, $idString)
+ * 3657:	 function getDynTabMenu($parts, $idString)
  *
- *              SECTION: Item-array manipulation functions (check/select/radio)
+ *			  SECTION: Item-array manipulation functions (check/select/radio)
- * 3696:     function initItemArray($fieldValue)
+ * 3696:	 function initItemArray($fieldValue)
- * 3714:     function addItems($items,$iArray)
+ * 3714:	 function addItems($items,$iArray)
- * 3736:     function procItems($items,$iArray,$config,$table,$row,$field)
+ * 3736:	 function procItems($items,$iArray,$config,$table,$row,$field)
- * 3760:     function addSelectOptionsToItemArray($items,$fieldValue,$TSconfig,$field)
+ * 3760:	 function addSelectOptionsToItemArray($items,$fieldValue,$TSconfig,$field)
- * 3980:     function addSelectOptionsToItemArray_makeModuleData($value)
+ * 3980:	 function addSelectOptionsToItemArray_makeModuleData($value)
- * 4002:     function foreignTable($items,$fieldValue,$TSconfig,$field,$pFFlag=0)
+ * 4002:	 function foreignTable($items,$fieldValue,$TSconfig,$field,$pFFlag=0)
  *
- *              SECTION: Template functions
+ *			  SECTION: Template functions
- * 4083:     function setNewBEDesign()
+ * 4083:	 function setNewBEDesign()
- * 4138:     function intoTemplate($inArr,$altTemplate='')
+ * 4138:	 function intoTemplate($inArr,$altTemplate='')
- * 4162:     function addUserTemplateMarkers($marker,$table,$field,$row,&$PA)
+ * 4162:	 function addUserTemplateMarkers($marker,$table,$field,$row,&$PA)
- * 4173:     function wrapLabels($str)
+ * 4173:	 function wrapLabels($str)
- * 4186:     function wrapTotal($c,$rec,$table)
+ * 4186:	 function wrapTotal($c,$rec,$table)
- * 4199:     function replaceTableWrap($arr,$rec,$table)
+ * 4199:	 function replaceTableWrap($arr,$rec,$table)
- * 4236:     function wrapBorder(&$out_array,&$out_pointer)
+ * 4236:	 function wrapBorder(&$out_array,&$out_pointer)
- * 4258:     function rplColorScheme($inTemplate)
+ * 4258:	 function rplColorScheme($inTemplate)
- * 4278:     function getDivider()
+ * 4278:	 function getDivider()
- * 4288:     function printPalette($palArr)
+ * 4288:	 function printPalette($palArr)
- * 4339:     function helpTextIcon($table,$field,$force=0)
+ * 4339:	 function helpTextIcon($table,$field,$force=0)
- * 4359:     function helpText($table,$field)
+ * 4359:	 function helpText($table,$field)
- * 4380:     function setColorScheme($scheme)
+ * 4380:	 function setColorScheme($scheme)
- * 4404:     function resetSchemes()
+ * 4404:	 function resetSchemes()
- * 4415:     function storeSchemes()
+ * 4415:	 function storeSchemes()
- * 4427:     function restoreSchemes()
+ * 4427:	 function restoreSchemes()
  *
- *              SECTION: JavaScript related functions
+ *			  SECTION: JavaScript related functions
- * 4457:     function JStop()
+ * 4457:	 function JStop()
- * 4508:     function JSbottom($formname='forms[0]')
+ * 4508:	 function JSbottom($formname='forms[0]')
- * 4835:     function dbFileCon($formObj='document.forms[0]')
+ * 4835:	 function dbFileCon($formObj='document.forms[0]')
- * 5053:     function printNeededJSFunctions()
+ * 5053:	 function printNeededJSFunctions()
- * 5080:     function printNeededJSFunctions_top()
+ * 5080:	 function printNeededJSFunctions_top()
  *
- *              SECTION: Various helper functions
+ *			  SECTION: Various helper functions
- * 5128:     function getDefaultRecord($table,$pid=0)
+ * 5128:	 function getDefaultRecord($table,$pid=0)
- * 5167:     function getRecordPath($table,$rec)
+ * 5167:	 function getRecordPath($table,$rec)
- * 5181:     function readPerms()
+ * 5181:	 function readPerms()
- * 5195:     function sL($str)
+ * 5195:	 function sL($str)
- * 5208:     function getLL($str)
+ * 5208:	 function getLL($str)
- * 5229:     function isPalettesCollapsed($table,$palette)
+ * 5229:	 function isPalettesCollapsed($table,$palette)
- * 5245:     function isDisplayCondition($displayCond,$row,$ffValueKey='')
+ * 5245:	 function isDisplayCondition($displayCond,$row,$ffValueKey='')
- * 5349:     function getTSCpid($table,$uid,$pid)
+ * 5349:	 function getTSCpid($table,$uid,$pid)
- * 5363:     function doLoadTableDescr($table)
+ * 5363:	 function doLoadTableDescr($table)
- * 5375:     function getAvailableLanguages($onlyIsoCoded=1,$setDefault=1)
+ * 5375:	 function getAvailableLanguages($onlyIsoCoded=1,$setDefault=1)
  *
  *
  * 5417: class t3lib_TCEforms_FE extends t3lib_TCEforms
- * 5425:     function wrapLabels($str)
+ * 5425:	 function wrapLabels($str)
- * 5435:     function printPalette($palArr)
+ * 5435:	 function printPalette($palArr)
- * 5460:     function setFancyDesign()
+ * 5460:	 function setFancyDesign()
  *
  * TOTAL FUNCTIONS: 100
  * (This index is automatically created/updated by the extension "extdeveval")
@@ -170,19 +170,6 @@
  */
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
 /**
  * 'TCEforms' - Class for creating the backend editing forms.
  *
@@ -191,7 +178,7 @@
  * @package TYPO3
  * @subpackage t3lib
  */
-class t3lib_TCEforms	{
+class t3lib_TCEforms {
 
 		// variables not commented yet.... (do so...)
 	var $palFieldArr = array();
